---
Date:
  - 2025-01-08
tags:
  - Technique
  - PC
  - OS
  - Windows
  - Program
  - Proxy
  - Server
---
📍 Источники: [Server](https://discord.gg/EeZwtKbjzd) [Tread](https://discord.com/channels/1134557553011998840/1313355716085551184) 
🍭 Ссылки:
• [Cursor API](https://github.com/lvguanjun/cursor-api)[Cursor API V2](https://github.com/JiuZ-Chn/Cursor-To-OpenAI) – Прокси для использования куки
• [Cursor](https://www.cursor.com/)– Сам сайт 
• [Cookie Editor](https://www.editthiscookie.com/) – Разшeрение для куки
🎁 Guides: [1](https://gxcgf4l6b2y.feishu.cn/docx/GIjidWbiyoSblfxLZ3Fcbc3Wnqg)

# 🔑 Получение токена
## 🌐 Браузерный способ (ручной)
> **⚠️ Ограничения**:
> • 14 дней активности
> • 250 сообщений
> • После истечения нужна новая регистрация

1. Регистрируемся на [cursor](https://www.cursor.com/)
2. Устанавливаем [EditThisCookie](https://www.editthiscookie.com/)
3. Находим куки `WorkosCursorSessionToken`
## 🤖 Авто-регистрация (экспериментальный)
> **⚠️ Метод не тестировался**
• [CursorRegister](https://github.com/JiuZ-Chn/CursorRegister) – Автоматическая регистрация

## 🎁 Готовые токены
![[Digital Technologies/Technique/PC/OS/Windows/Program/AI/Cache/cursor_cookie_2025-01-06.csv]]
![[Digital Technologies/Technique/PC/OS/Windows/Program/AI/Cache/1000 cursor cookie.txt]]
# 🚀 Прокси
## 🔄 [Cursor API](https://github.com/JiuZ-Chn/Cursor-To-OpenAI)
### ⚙️ Установка
```bash
git clone https://github.com/JiuZ-Chn/Cursor-To-OpenAI    # скачиваем репозиторий
cd Cursor-To-OpenAI                                       # переходим в папку
npm install                                               # устанавливаем зависимости
	npm audit fix --force                                 # если возникнут проблемы с зависимостями
npm run start                                             # запускаем сервер
```
### 🔌 Подключение в Tavern
1. Выбираем "Custom OpenAI compatible"
2. URL: `http://localhost:3010/v1`
3. API Key: вставляем полученный `WorkosCursorSessionToken`

### 🤖 Доступные модели
```plaintext
• claude-3-5-sonnet-20241022
• claude-3-opus
• claude-3.5-haiku
• claude-3.5-sonnet
• cursor-small
• gpt-3.5-turbo
• gpt-4
• gpt-4-turbo-2024-04-09
• gpt-4o
• gpt-4o-mini
• o1-mini
• o1-preview
```

**⚠️ Важно**: список моделей нужно вписывать вручную, автоподгрузка не работает!
