---
Date:
  - 2025-02-08
tags:
  - SillyTavern
  - Client
  - LLMs
  - AI
  - Program
  - Windows
  - OS
  - Technique
  - List
  - Guide
  - PC
---
**Links**: 
- [General](https://rentry.org/aicg_extra_information)
- [RAGs](https://rentry.org/splitcloverrag)
# SillyTavern Lorebook Essentials

## Core Mechanisms ‼
> "how do Lorebooks even work anyhow?"

  Trigger flow:
  `LOVESICK's dialogue → keyword detected → entry injected → (optional recursion)`

  Immersion preservation tactics:
  - 🔑 Keyword curation
  - 🎛️ Trigger probability tuning
  - 🔄 Preset optimization

## Reference Links 🔗
- [Activation Settings](https://docs.sillytavern.app/usage/core-concepts/worldinfo/#activation-settings)
- [Recursive Scanning](https://docs.sillytavern.app/usage/core-concepts/worldinfo/#recursive-scanning)
- [World Info Encyclopedia (Rentry.co)](https://rentry.co/world-info-encyclopedia)
- [SillyTavern Lorebook Guide (Rentry.org)](https://rentry.org/SillyT_Lorebook)



